--- a/scripts/quizgr.pl
+++ b/scripts/quizgr.pl
@@ -540,7 +540,7 @@
         			#putting it in used
 				if (@{$game->{'used_questions'}}){
         			${$game->{'usedCounter'}} = @{$game->{'used_questions'}};
-				} else {my ${$game->{'usedCounter'}}=0;}
+				} else {${$game->{'usedCounter'}}=0;}
 
         			${$game->{'used_questions'}}[${$game->{'usedCounter'}}]=${$game->{'the_question'}};
 
@@ -566,7 +566,7 @@
         			#putting it in used
 				if (@{$game->{'used_questions'}}){
         			${$game->{'usedCounter'}} = @{$game->{'used_questions'}};
-				} else {my ${$game->{'usedCounter'}} =0;}
+				} else {${$game->{'usedCounter'}} =0;}
 
         			${$game->{'used_questions'}}[${$game->{'usedCounter'}}]=${$game->{'the_question'}};
 
